# Generates an order from a fundraising gift This method will examine a fundraising gift and generate an appropriate order Endpoint: POST /gifts/{tenantId}/generateOrder Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed ## Request fields (application/json): - `amount` (number, required) Gift amount - `anonymous` (boolean) Anonymous - `appeal_id` (string) The id for the appeal associated with the gift - `campaign_id` (string) The id for the campaign associated with the gift - `contact_id` (string, required) The rolodex contact id for the gift giver - `cover_transaction_costs` (boolean) If selected, the donor covers the transaction fees - `currency_code` (string) The currency code of the gift - `currency_symbol` (string) Currency - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `donor_type` (string, required) The donor type for the gift Enum: "contact", "organization" - `fund_id` (string, required) The id for the fund associated with the gift - `giving_process_id` (string) The process of that led to the gift - `has_splits` (boolean) If true, this gift is split into different funds - `make_recurring` (boolean) Whether to make this a recurring gift - `notes` (string) Notes about the gift - `organization_id` (string, required) The organization id associated with this gift - `premium_assignment` (string) Enum: "assigned", "declined by donor", "not applicable" - `premium_fair_market_value` (number) The amount of any premiums associated with the gift - `premium_id` (string) If the user has selected a premium it is here - `recurring_frequency` (string) Enum: "monthly", "quarterly", "yearly" - `recurring_gift_end_date` (string) optional end date for gift - `shipping_address` (object) A complete address - `shipping_address.city` (string) The city of the address - `shipping_address.country` (string) The country ISO code - `shipping_address.country_name` (string) The full name of hte country - `shipping_address.county` (string) The county - `shipping_address.latitude` (number) - `shipping_address.line1` (string) The first line of the address - `shipping_address.line2` (string) The second line of the address - `shipping_address.line3` (string) The third line of the address - `shipping_address.longitude` (number) - `shipping_address.postal_code` (string) The zip/postal code - `shipping_address.state` (string) The state/province of the address - `shipping_address.time_zone_id` (string) - `splits` (array) An array of fund allocations for this gift - `splits.amount` (number, required) The amount for this allocation of the gift - `splits.fund_id` (string, required) The id for the fund associated with the gift allocation - `tribute_gift` (boolean) Whether or not this is a tribute gift - `tribute_gift_info` (object) - `tribute_gift_info.address` (object) A complete address - `tribute_gift_info.contact_id` (string) The optional linked contact - `tribute_gift_info.details` (string) Additional details - `tribute_gift_info.email_address` (string) - `tribute_gift_info.inform_honoree` (boolean) If true, the honoree is informed about the gift - `tribute_gift_info.inform_honoree_by` (string) Enum: "email", "mail" - `tribute_gift_info.message` (string) Message to send when notifying - `tribute_gift_info.name` (string, required) The name - `tribute_gift_info.type` (string, required) Enum: "in honor of", "in memory of" ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields